import SwiftUI

struct EventDetailView: View {
    
    let event: WorkoutEvent
    
    var body: some View {
        List {
            DetailRow("Date", date: event.date)
            DetailRow("Type", value: event.type)
            DetailRow("Duration", duration: event.duration)
            DetailRow("Metadata", value: event.metadata)
            DetailRow("Session UUID", value: event.sessionUUID)
            DetailRow("Error", value: event.error)
        }
        .navigationTitle("Event")
    }
}

#Preview {
    NavigationStack {
        EventDetailView(event: .mock1.first!)
    }
}
