import Foundation
import SQLite

extension Sample {

    private static let table = Table("quantity_samples")

    private static let rowDataId = Expression<Int>("data_id")

    // NOTE: Technically optional
    private static let rowQuantity = Expression<Double>("quantity")

    private static let rowOriginalQuantity = Expression<Double?>("original_quantity")

    /// References `ROW_ID` on table `unit_strings`
    private static let rowOriginalUnit = Expression<Int?>("original_unit")

    static func quantity(for id: Int, in database: Database) throws -> (quantity: Double, original: Double?, unit: Int?)? {
        try database.prepare(table.filter(rowDataId == id).limit(1)).map {
            (quantity: $0[rowQuantity], original: $0[rowOriginalQuantity], unit: $0[rowOriginalUnit])
        }.first
    }
}
