import Foundation
import SQLite

extension Sample {

    private static let table = Table("unit_strings")

    private static let rowId = Expression<Int>("ROW_ID")

    // - NOTE: Technically optional
    private static let rowUnitString = Expression<String>("quantity")

    static func unit(for id: Int, in database: Database) throws -> String? {
        try database.prepare(table.filter(rowId == id).limit(1)).map { row in
            row[rowUnitString]
        }.first
    }
}
