import Foundation
import SQLite

extension HealthDatabase {

    static func mock() -> HealthDatabase {

        do {
            let database = try makeDatabase()
            return .init(database: database)
        } catch {
            print(error)
            fatalError("Failed to create mock database: \(error)")
        }
    }

    private static func makeDatabase() throws -> Connection {
        let database = try Connection(.inMemory)

        try Workout.createTable(in: database)
        try WorkoutEvent.createTable(in: database)
        try WorkoutActivity.createTable(in: database)
        try Metadata.createTables(in: database)

        try Workout.mock1.insert(in: database)
        return database
    }
}
